<?php
/* * *******************************************************************************
 * SugarCRM is a customer relationship management program developed by
 * SugarCRM, Inc. Copyright (C) 2004-2010 SugarCRM Inc.
 * 
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Affero General Public License version 3 as published by the
 * Free Software Foundation with the addition of the following permission added
 * to Section 15 as permitted in Section 7(a): FOR ANY PART OF THE COVERED WORK
 * IN WHICH THE COPYRIGHT IS OWNED BY SUGARCRM, SUGARCRM DISCLAIMS THE WARRANTY
 * OF NON INFRINGEMENT OF THIRD PARTY RIGHTS.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE.  See the GNU Affero General Public License for more
 * details.
 * 
 * You should have received a copy of the GNU Affero General Public License along with
 * this program; if not, see http://www.gnu.org/licenses or write to the Free
 * Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
 * 02110-1301 USA.
 * 
 * You can contact SugarCRM, Inc. headquarters at 10050 North Wolfe Road,
 * SW2-130, Cupertino, CA 95014, USA. or at email address contact@sugarcrm.com.
 * 
 * The interactive user interfaces in modified source and object code versions
 * of this program must display Appropriate Legal Notices, as required under
 * Section 5 of the GNU Affero General Public License version 3.
 * 
 * In accordance with Section 7(b) of the GNU Affero General Public License version 3,
 * these Appropriate Legal Notices must retain the display of the "Powered by
 * SugarCRM" logo. If the display of the logo is not reasonably feasible for
 * technical reasons, the Appropriate Legal Notices must display the words
 * "Powered by SugarCRM".
 * ****************************************************************************** */
$module_name = 'EcmSysInfos';
$viewdefs[$module_name]['DetailView'] = array(
    'templateMeta' => array(
        'form' => array(
            'buttons' => array(
                'EDIT',
                'DELETE',
            ),
        ),
        'maxColumns' => '2',
        'widths' => array(
            array('label' => '10', 'field' => '30'),
            array('label' => '10', 'field' => '30'),
        ),
        'includes' => array(
            0 => array(
                'file' => 'modules/EcmSysInfos/js/detailView.js'
            ),
        ),
    ),
    'panels' => array(
        'LBL_PERSONAL_INFO' => array(
            array(
                array(
                    'name' => 'short_name',
                    'label' => 'LBL_SHORT_NAME',
                ),
                array(
                    'name' => 'name',
                    'label' => 'LBL_NAME',
                ),
            ),
            array(
                array(
                    'name' => 'nip',
                    'label' => 'LBL_NIP',
                ),
                array(
                    'name' => 'regon',
                    'label' => 'LBL_REGON',
                ),
            ),
            array(
                array(
                    'name' => 'www',
                    'label' => 'LBL_WWW',
                ),
            ),
            array(
                array(
                    'name' => 'name_bank',
                    'label' => 'LBL_NAME_BANK',
                ),
            ),
            array(
                array(
                    'name' => 'bank_account_number',
                    'label' => 'LBL_BANK_ACCOUNT_NUMBER',
                    'displayParams' => array('size' => 40),
                ),
                array(
                    'name' => 'description',
                    'label' => 'LBL_DESCRIPTION',
                ),
            ),
        ),
        'LBL_ADDRESS_INFORMATION' => array(
            array(
                array(
                    'name' => 'primary_address_country',
                    'label' => 'LBL_PRIMARY_ADDRESS_COUNTRY',
                ),
                array(
                    'name' => 'alt_address_country',
                    'label' => 'LBL_ALT_ADDRESS_COUNTRY',
                ),
            ),
            array(
                array(
                    'name' => 'primary_address_state',
                    'label' => 'LBL_PRIMARY_ADDRESS_STATE',
                ),
                array(
                    'name' => 'alt_address_state',
                    'label' => 'LBL_ALT_ADDRESS_STATE',
                ),
            ),
            array(
                array(
                    'name' => 'primary_address_city',
                    'label' => 'LBL_PRIMARY_ADDRESS_CITY',
                ),
                array(
                    'name' => 'alt_address_city',
                    'label' => 'LBL_ALT_ADDRESS_CITY',
                ),
            ),
            array(
                array(
                    'name' => 'primary_address_postalcode',
                    'label' => 'LBL_PRIMARY_ADDRESS_POSTALCODE',
                ),
                array(
                    'name' => 'alt_address_postalcode',
                    'label' => 'LBL_ALT_ADDRESS_POSTALCODE',
                ),
            ),
            array(
                array(
                    'name' => 'primary_address_street',
                    'label' => 'LBL_PRIMARY_ADDRESS_STREET',
                ),
                array(
                    'name' => 'alt_address_street',
                    'label' => 'LBL_ALT_ADDRESS_STREET',
                ),
            ),
            array(
                array(
                    'name' => 'primary_address_community',
                    'label' => 'LBL_PRIMARY_ADDRESS_COMMUNITY',
                ),
                array(
                    'name' => 'alt_address_community',
                    'label' => 'LBL_ALT_ADDRESS_COMMUNITY',
                ),
            ),
            array(
                array(
                    'name' => 'primary_address_district',
                    'label' => 'LBL_PRIMARY_ADDRESS_DISTRICT',
                ),
                array(
                    'name' => 'alt_address_district',
                    'label' => 'LBL_ALT_ADDRESS_DISTRICT',
                ),
            ),
            array(
                array(
                    'name' => 'primary_mail',
                    'label' => 'LBL_PRIMARY_MAIL',
                ),
                array(
                    'name' => 'alt_mail',
                    'label' => 'LBL_ALT_MAIL',
                ),
            ),
            array(
                array(
                    'name' => 'email1',
                    'label' => 'LBL_EMAIL_ADDRESS',
                ),
                array(
                    'name' => 'email2',
                    'label' => 'LBL_OTHER_EMAIL_ADDRESS',
                ),
            ),
            array(
                array(
                    'name' => 'phone_mobile',
                    'label' => 'LBL_MOBILE_PHONE',
                ),
                array(
                    'name' => 'phone_work',
                    'label' => 'LBL_OFFICE_PHONE',
                ),
            ),
            array(
                array(
                    'name' => 'phone_home',
                    'label' => 'LBL_HOME_PHONE',
                ),
                array(
                    'name' => 'phone_fax',
                    'label' => 'LBL_HOME_PHONE',
                ),
            ),
        ),
    ),
);
